Webhook

Preview tenant webhook payloads

Builds the outbound payloads for the given platform, languages and story and returns them WITHOUT sending. Uses the same builder as send, so the preview is 1:1 with what would be delivered. Accessible with WebhookSend + tenant access.

POST
/api/v2/tenants/{tenantId}/webhook/preview

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string

Tenant UUID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/tenants/0c62ac53-56e1-43c1-bdcc-fcc7b9c3c8e9/webhook/preview" \  -H "Content-Type: application/json" \  -d '{    "platform": "web",    "languages": [      "en-US",      "fr"    ],    "storyName": "production"  }'
{  "previews": [    {      "language": "en-US",      "payload": {}    }  ]}
{  "errors": {    "name": "Empty value"  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}